Summary: Implementation of the JPEG-2000 standard, Part 1
Name:    jasper
Group:   System Environment/Libraries
Version: 1.701.0
Release: 2

License: JasPer License Version 2.0
URL:     http://www.ece.uvic.ca/~mdadams/jasper/
Source:  jasper-1.701.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libjpeg-devel

%description
This package contains an implementation of the image compression
standard JPEG-2000, Part 1. It consists of tools for conversion to and
from the JP2 and JPC formats.

The library is available as 32-bit and 64-bit.


%package devel
Summary: JPEG-2000 library developer files
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libjpeg-devel

%description devel
%{summary}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CFLAGS="-O2"

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-opengl
make %{?_smp_mflags}

cp src/libjasper/.libs/libjasper-1.701.so.1 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-opengl
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/libjasper/.libs/libjasper.a ./libjasper-1.701.so.1


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# avoid conflict(s) with tomcat
mv $RPM_BUILD_ROOT%{_bindir}/jasper $RPM_BUILD_ROOT%{_bindir}/jaspertool


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYRIGHT LICENSE NEWS README
%{_bindir}/*
%{_libdir}/lib*.a

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/*
%{_libdir}/lib*.la


%changelog
* Tue Jan 08 2008 Michael Perzl <michael@perzl.org> - 1.701.0-2
- included both 32-bit and 64-bit shared objects

* Wed Jan 04 2006 Michael Perzl <michael@perzl.org> - 1.701.0-1
- first version for AIX V5.1 and higher
